Create a module
POST/api/v1/workspaces/{workspace_slug}/projects/{project_id}/modules/
Creates a new module in a project.
Path Parameters
workspace_slug:requiredstringThe workspace_slug represents the unique workspace identifier for a workspace in Plane. It can be found in the URL. For example, in the URL https://app.plane.so/my-team/projects/, the workspace slug is my-team.
project_id:requiredstringThe unique identifier of the project.
Body Parameters
name:requiredstringName of the module.
description:optionalstringDescription of the module.
start_date:optionalstringStart date of the module in YYYY-MM-DD format.
target_date:optionalstringTarget date of the module in YYYY-MM-DD format.
status:optionalstringStatus of the module. Possible values: backlog, planned, in-progress, paused, completed, cancelled.
lead:optionalstringID of the user who leads the module.
members:optionalstring[]Array of member user IDs to assign to the module.
external_source:optionalstringExternal source identifier.
external_id:optionalstringExternal ID from the external source.
Scopes
projects.modules:write
Create a module
bash
curl -X POST \ "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/modules/" \ -H "X-API-Key: $PLANE_API_KEY" \ # Or use -H "Authorization: Bearer $PLANE_OAUTH_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "name": "example-name", "description": "example-description", "start_date": "example-start_date", "target_date": "example-target_date", "status": "example-status", "lead": "example-lead", "members": "example-members", "external_source": "example-external_source", "external_id": "example-external_id" }'python
import requests response = requests.post( "https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/modules/", headers={"X-API-Key": "your-api-key"}, json={ 'name': 'example-name', 'description': 'example-description', 'start_date': 'example-start_date', 'target_date': 'example-target_date', 'status': 'example-status', 'lead': 'example-lead', 'members': 'example-members', 'external_source': 'example-external_source', 'external_id': 'example-external_id' } ) print(response.json())javascript
const response = await fetch("https://api.plane.so/api/v1/workspaces/my-workspace/projects/project-uuid/modules/", { method: "POST", headers: { "X-API-Key": "your-api-key", "Content-Type": "application/json", }, body: JSON.stringify({ name: "example-name", description: "example-description", start_date: "example-start_date", target_date: "example-target_date", status: "example-status", lead: "example-lead", members: "example-members", external_source: "example-external_source", external_id: "example-external_id", }), }); const data = await response.json();Response201
json
{ "id": "project-uuid", "name": "Project Name", "identifier": "PROJ", "description": "Project description", "created_at": "2024-01-01T00:00:00Z" }
